$white: #FFF;

$gray1: #f2f2f2;
$gray2: #e6e6e6;
$gray3: #ccc;
$gray4: #b3b3b3;
$gray5: #999;
$gray6: #808080;
$gray7: #666;
$gray8: #4d4d4d;
$gray9: #333;
$gray10: #1a1a1a;

$black: #111;

$pink1: #edc2b4;
$pink2: #eaae9a;
$pink3: #D29884;
$pink4: #b28070;
$pink5: #48302D;

$blue1: #96bbcd;
$blue2: #53849b;

$green1: #54957D;
$green2: #146F57;
$green3: #0A5145;
$green4: #074533;
$green5: #003628;

$softgray1: #EAE3C2;
$softgray2: #E1D9C2;
$softgray3: #D3CDC1;
$softgray4: #797775;
$softgray5: #414141;

$font: "ralewayregular",
sans-serif;
$font-light: "ralewaylight",
sans-serif;
$font-medium: "ralewaymedium",
sans-serif;
$font-bold: "ralewaybold",
sans-serif;
$font-black: "ralewayblack",
sans-serif;
$font-header: 'madebruno',
serif;


/* @@main index styles */


.main-con {
    min-height: 100%;
}


/* @@@banner styles */

.banner-con {
    width: 100%;
    height: 60vh;
    max-height: 450px;

    img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
}


/* @@@animated title styles */

.animated-text {
    padding-top: 1rem;
    padding-bottom: 1rem;
}

.cd-intro {
    color: $gray7;
    font-family: $font;
}

.cd-words-wrapper {
    font-family: $font-bold;
    color: $gray8;

    span:first-child {
        margin-right: 0.25rem;
    }

    b:nth-child(3n+1) {
        color: $pink3;
    }

    b:nth-child(3n+2) {
        color: $green2;
    }

    b:nth-child(3n+3) {
        color: $softgray4;
    }
}


/* @@@main content styles */

.contact {
    margin-top: 3rem;
}


/* @@@contact form styles */


.contact-form {
    display: flex;
    justify-content: center;

    form {
        margin-top: 2rem;
        padding: 2rem 1rem;
        width: auto;

        display: grid;
        grid-row-gap: 1.5rem;
        justify-content: center;

        border-radius: 0.25rem;
        background-color: $gray2;
    }

    p {
        width: 100%;
    }

    label {
        padding: 0;
        width: 100%;
        display: block;
        background-color: transparent;
    }

    .hid {
        display: none;
    }

    input, textarea {
        padding: 0.25rem 0.5rem;
        width: 100%;

        border: 2px solid transparent;
        border-radius: 0.25rem;
        background-color: $gray3;

        &:focus, &:active {
            border: 2px solid $pink3;
            background-color: $gray1;
        }

        &:visited {
            border: 2px solid $pink2;
        }
    }

    .submit-btn { 
        display: flex;
        justify-content: center;

        button {
            padding: 0.25rem 2rem;
            margin: 0 auto;

            border: 3px solid $green3;
            border-radius: 1rem;
            background-color: $green3;
            color: $white;
            font-family: $font-bold;
            font-size: 1.25em;

            &:hover {
                background-color: $green1;
                color: $green5;
            }
        }    
    }
}


@media only screen and (min-width: 680px) {
    
    .contact>.contact-wrapper {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .contact-text {
        padding-right: 2rem;
        max-width: 500px;
    }

    .contact-form>form {
        min-width: 300px;
    }
}


@media only screen and (min-width: 900px) {

    .contact {
        margin-top: 8rem;
    }

    .contact-text {
        max-width: 900px;
    }
}